# Interface Options

interface Options {
condition: Condition;
deleteCondition: Condition;
features: Collection<Feature<Geometry>>;
insertVertexCondition: Condition;
nbPoints: number;
pixelTolerance: number;
source: VectorSource<unknown>;
style: StyleLike;
wrapX: boolean;
}

- Defined in src/interaction/Modify.js:44

#####
Index

### Properties

condition
deleteCondition
features
insertVertexCondition
nbPoints
pixelTolerance
source
style
wrapX

## Properties

### condition

condition: Condition

From ol/interaction/Modify.Options.

- Defined in src/interaction/Modify.js:45

### deleteCondition

deleteCondition: Condition

From ol/interaction/Modify.Options.

- Defined in src/interaction/Modify.js:46

### features

features: Collection<Feature<Geometry>>

From ol/interaction/Modify.Options.

- Defined in src/interaction/Modify.js:51

### insertVertexCondition

insertVertexCondition: Condition

From ol/interaction/Modify.Options.

- Defined in src/interaction/Modify.js:47

### nbPoints

nbPoints: number

The number of points in the circle.

- Defined in src/interaction/Modify.js:53

### pixelTolerance

pixelTolerance: number

From ol/interaction/Modify.Options.

- Defined in src/interaction/Modify.js:48

### source

source: VectorSource<unknown>

From ol/interaction/Modify.Options.

- Defined in src/interaction/Modify.js:50

### style

style: StyleLike

From ol/interaction/Modify.Options.

- Defined in src/interaction/Modify.js:49

### wrapX

wrapX: boolean

From ol/interaction/Modify.Options.

- Defined in src/interaction/Modify.js:52

Generated using TypeDoc